Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMImplementationImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.DOMImplementationImpl

All Implemented Interfaces:
  DOMImplementation

Direct Known Subclasses:
  HTMLDOMImplementationImpl, WMLDOMImplementationImpl

public class DOMImplementationImpl
extends java.lang.Object
implements DOMImplementation

The DOMImplementation class is description of a particular implementation of the Document Object Model. As such its data is static, shared by all instances of this implementation.

The DOM API requires that it be a real object rather than static methods. However, there's nothing that says it can't be a singleton, so that's how I've implemented it.

Since:
  PR-DOM-Level-1-19980818.
Version:

Constructor Summary
`DOMImplementationImpl()`

Method Summary
`Document` | `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, DocumentType doctype)` Introduced in DOM Level 2.
`DocumentType` | `createDocumentType(java.lang.String qualifiedName, java.lang.String publicID, java.lang.String systemID)` Introduced in DOM Level 2.
`static DOMImplementation` | `getDOMImplementation()` NON-DOM: Obtain and return the single shared object
`boolean` | `hasFeature(java.lang.String feature, java.lang.String version)` Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMImplementationImpl

    public DOMImplementationImpl()

Method Detail

### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

  Test if the DOM implementation supports a specific "feature" -- currently meaning language and level thereof.
  Specified by:
    `hasFeature` in interface `DOMImplementation`
  Parameters:
    `feature` - The package name of the feature to test. In Level 1, supported values are "HTML" and "XML" (case-insensitive). At this writing, org.apache.xerces.dom supports only XML.
    `version` - The version number of the feature being tested. This is interpreted as "Version of the DOM API supported for the specified Feature", and in Level 1 should be "1.0"

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  NON-DOM: Obtain and return the single shared object

### createDocumentType

    public DocumentType createDocumentType(java.lang.String qualifiedName,
                                           java.lang.String publicID,
                                           java.lang.String systemID)

  Introduced in DOM Level 2.

  Creates an empty DocumentType node.

  Specified by:
    `createDocumentType` in interface `DOMImplementation`
  Parameters:
    `qualifiedName` - The qualified name of the document type to be created.
    `publicID` - The document type public identifier.
    `systemID` - The document type system identifier.
  Since:
    WD-DOM-Level-2-19990923

### createDocument

    public Document createDocument(java.lang.String namespaceURI,
                                   java.lang.String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  Introduced in DOM Level 2.

  Creates an XML Document object of the specified type with its document element.

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Parameters:
    `namespaceURI` - The namespace URI of the document element to create, or null.
    `qualifiedName` - The qualified name of the document element to create, or null.
    `doctype` - The type of document to be created or null.

    When doctype is not null, its Node.ownerDocument attribute is set to the document being created.

  Returns:
    Document A new Document object.
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document.
  Since:
    WD-DOM-Level-2-19990923

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD